<template>
  <span :class="[size, fontWeight()]">
    <slot></slot>
  </span>
</template>

<script>
export default {
  name: 'TSpan',
  props: {
    size: {
      type: String,
      default: 'text-lg',
    },
    weight: {
      type: String,
      required: false,
      default: 'regular',
    },
  },
  methods: {
    fontWeight() {
      if (this.weight === 'bold') {
        return 'font-bold'
      }

      if (this.weight === 'medium') {
        return 'font-medium'
      }

      return ''
    },
  },
}
</script>
